OPenssl 1.1.0 and FIPS

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

OPenssl 1.1.0 and FIPS

The Doctor


I thought it was just me.

Tryong to compile  Fips into OPEnssl-1.1.0  and I run into

cc: warning: argument unused during compilation: '-rdynamic' [-Wunused-command-line-argument]
crypto/err/err_all.c:47:69: error: invalid operands to binary expression
      ('void' and 'int')
      FIPS_set_error_callbacks(ERR_put_error, ERR_add_error_vdata)==0 ||
      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^ ~
crypto/err/err_all.c:95:33: error: invalid operands to binary expression
                            ('void' and 'int')
                            ERR_load_FIPS_strings() == 0 ||
                            ~~~~~~~~~~~~~~~~~~~~~~~ ^  ~

The cc I am using is clang 4.0.0 .

A similar error happens in Gcc 6 .

PLease fix so that  compilers cannot see this.

What is happening is that the 2 statements are void but you are
assigning an int value.

--
Member - Liberal International This is doctor@@nl2k.ab.ca Ici doctor@@nl2k.ab.ca
Yahweh, Queen & country!Never Satan President Republic!Beware AntiChrist rising!
https://www.empire.kred/ROOTNK?t=94a1f39b  Look at Psalms 14 and 53 on Atheism
Talk Sense to a fool and he calls you foolish - Euripides
--
openssl-dev mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-dev
Reply | Threaded
Open this post in threaded view
|

Re: OPenssl 1.1.0 and FIPS

OpenSSL - Dev mailing list

    Tryong to compile  Fips into OPEnssl-1.1.0  and I run into
   
FIPS is not supported for 1.1.0

--
openssl-dev mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-dev
Reply | Threaded
Open this post in threaded view
|

Re: OPenssl 1.1.0 and FIPS

The Doctor
On Sat, Sep 16, 2017 at 12:56:08PM +0000, Salz, Rich via openssl-dev wrote:
>
>     Tryong to compile  Fips into OPEnssl-1.1.0  and I run into
>    
> FIPS is not supported for 1.1.0
>

jUST A SMALL FIX WILL DO.

> --
> openssl-dev mailing list
> To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-dev

--
Member - Liberal International This is doctor@@nl2k.ab.ca Ici doctor@@nl2k.ab.ca
Yahweh, Queen & country!Never Satan President Republic!Beware AntiChrist rising!
https://www.empire.kred/ROOTNK?t=94a1f39b  Look at Psalms 14 and 53 on Atheism
Talk Sense to a fool and he calls you foolish - Euripides
--
openssl-dev mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-dev
Reply | Threaded
Open this post in threaded view
|

Re: OPenssl 1.1.0 and FIPS

Richard Levitte - VMS Whacker-2


The Doctor <[hidden email]> skrev: (16 september 2017 15:26:16 CEST)
>On Sat, Sep 16, 2017 at 12:56:08PM +0000, Salz, Rich via openssl-dev
>wrote:
>>
>>     Tryong to compile  Fips into OPEnssl-1.1.0  and I run into
>>    
>> FIPS is not supported for 1.1.0
>>
>
>jUST A SMALL FIX WILL DO.

Really? Are you saying that you made a small fix and then everything worked like a charm? I'm dubious, frankly, because there are just too many changes between OpenSSL 1.0.x (that the FIPS module was made for) and 1.1.0. There should be much more breakage.

Cheers
Richard

--
Sent from my Android device with K-9 Mail. Please excuse my brevity.
--
openssl-dev mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-dev
Reply | Threaded
Open this post in threaded view
|

Re: OPenssl 1.1.0 and FIPS

OpenSSL - Dev mailing list
In reply to this post by The Doctor
> FIPS is not supported for 1.1.0
    >
   
>    jUST A SMALL FIX WILL DO.
 
No.  All of the FIPS supporting code has been pulled out of 1.1.0  Even if you get it to compile, it will fail at link or runtime because of missing functions.

--
openssl-dev mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-dev